package com.supermap.sample.DomainResource;
import java.awt.Point;

public class tools  {
	private String param;
	public tools()
	{
		this.param="myParam";
	}
	//比较两个字符串是否相同，简单参数类型，返回简单的结果。
	//Compare whether two strings are euqal. The parameters and the return are of simple type.
	public static boolean compareString(String str1, String str2) {
		boolean flag = true;
		if (str1 != null) {
			if (!str1.equals(str2)) {
				flag = false;
			}
		} else if (str2 != null) {
			flag = false;
		}
		return flag;
	}
	//判断s是否在array数组中，复杂类型参数，返回简单类型结果。
	//Determine whether s is in array. The parameters are of complex type and the return is of simple type.
	public static boolean isStrContainedInArray(String s, String[] array) {
		boolean flag = false;
		if (array != null && s != null) {
			for (int i = 0; i < array.length; i++) {
				if (s.equals(array[i])) {
					flag = true;
					break;
				}
			}
		}
		return flag;
	}
	//参数不为空的get方法，取点A和点B的中心点，复杂类型参数返回复杂类型结果。
	//{x:0,y:0}和{x:4,y:4}
	//The get method with non-null parameters, which is used to get the center of Point A and Point B. The parameters and return are of complex type.
    //{x:0,y:0} and {x:4,y:4}
	public static Point getCenter(Point A,Point B)
	{
		return new Point((A.x+B.x)/2,(A.y+B.y)/2);
	}
	//参数为空的get方法，不发布成资源
	//The get method with null parameters, not being published as resource
	public String getParam() {
		return param;
	}
	//参数为空的方法，发布成资源
	//The method will null parameters, being published as resource
	public String Param(){
		return param;
	}
	//set方法，不发布成资源。
	//The set method, not being published as resource
	public void setParam(String param) {
		this.param = param;
	}

}
