package com.supermap.sample.extendREST;
import java.util.ArrayList;
import java.util.List;

import org.restlet.data.MediaType;
import org.restlet.representation.Representation;
import org.restlet.representation.StringRepresentation;

import com.supermap.services.components.commontypes.Point2D;
import com.supermap.services.rest.encoders.Encoder;

public class StrEncoder extends Encoder{
	public Representation toRepresentation(MediaType mediaType, Object resourceObj) {
		String repstr="";
		if(resourceObj instanceof Point2D){
			Point2D result=(Point2D)resourceObj;

			repstr="X coordinate of center of PA and PB: "+result.x+"，Y coordinate: "+result.y;
		}else{
			repstr="Measurement error";
		}
		StringRepresentation rep=new StringRepresentation(repstr,MediaType.TEXT_PLAIN);
		return rep ;
	}
	protected List<MediaType> createSupportedMediaTypes() {
        List<MediaType> supportedMediaTypes = new ArrayList<MediaType>(); // NOPMD
        supportedMediaTypes.add(new MediaType("application/str"));
        return supportedMediaTypes;
    }
}
